Bug 155637 - External Mouse Should Override Touchpad
External Mouse Should Override Touchpad
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-21 23:28 EDT by Johnny Proton
Modified: 2008-05-06 20:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:09:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Proton 2005-04-21 23:28:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Epiphany/1.4.4

Description of problem:
I cannot explain enough how much I hate my touchpad.  I hate everything about it, and even as I type this bug, my thumb drags accross it and moves the mouse, page, etc.

If I plug in an external mouse, I do not want my touchpad to function at all!  If anyone out there thinks they need to be able to use 2 mice at the same time, can we at least have a preference to switch between the 2?

Considering this is my main interface to my Linux laptop, I'd like to stop cursing it and rely on it working correctly.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Not necessary.

Additional info:
Comment 1 Colin Charles 2005-04-22 13:24:28 EDT
My thinkpad comes with the trackpoint (which I use sometimes), the touchpad
(which I use, rarely though), and I plug in a USB mouse

And I don't mind using them all for different tasks (external mouse doesn't do
native middle paste, and I can get that done relatively well with a keypress
using the trackpoint interface)

Alas, the idea of having it as an option to disable, would be a good idea

Paul: on ppc, we ship apmud and it has this exact feature (of disabling the
touchpad)
Comment 2 Johnny Proton 2006-04-05 09:39:52 EDT
Why is this bug still marked as "new"?  

Have you guys looked at the macintosh mouse preferences?  They've addressed this
problem quite nicely with a single checkbox that says: "Ignore Trackpad when
External Mouse is Plugged in".  

Click that button, and it's done.  Any chance of doing this for FC5?
Comment 3 Matthew Miller 2006-07-10 16:07:47 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Johnny Proton 2006-07-10 18:04:30 EDT
This is still a problem with the current release.   I assigned it to "devel" but
I know it is still a problem because I had to manually disable the trackpad on
one of my laptops this weekend.
Comment 5 Matthew Miller 2006-07-11 10:58:15 EDT
(Status "Verified" doesn't mean what it seems like it might mean -- it means
that a fix has been verified. Reopening.)
Comment 6 Bug Zapper 2008-04-03 12:06:28 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Bug Zapper 2008-05-06 20:09:08 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.